<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="absensi" language="groovy" pageWidth="595" pageHeight="842" columnWidth="555" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<parameter name="param_pelaksanaan" class="java.lang.Integer">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="param_diklat" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="param_angkatan" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<parameter name="param_lokasi" class="java.lang.String">
		<defaultValueExpression><![CDATA[]]></defaultValueExpression>
	</parameter>
	<queryString>
		<![CDATA[select t2.name AS name
,t3.name as instansi
from peserta_per_pelaksanaan t1
left join tbl_peserta t2 on t1.peserta=t2.id
left join tbl_instansi t3 on t2.instansi=t3.id
where t1.pelaksanaan = $P{param_pelaksanaan}]]>
	</queryString>
	<field name="name" class="java.lang.String"/>
	<field name="instansi" class="java.lang.String"/>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="89" splitType="Stretch">
			<textField>
				<reportElement x="19" y="11" width="521" height="22"/>
				<textElement textAlignment="Center">
					<font size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{param_diklat}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="19" y="37" width="521" height="20"/>
				<textElement textAlignment="Center">
					<font size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{param_angkatan}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="65" y="59" width="419" height="20"/>
				<textElement textAlignment="Center">
					<font size="14"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{param_lokasi}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="35" splitType="Stretch"/>
	</pageHeader>
	<columnHeader>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="0" y="0" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="0" y="47" width="555" height="1"/>
			</line>
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="61"/>
			</line>
			<staticText>
				<reportElement x="65" y="11" width="117" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[name]]></text>
			</staticText>
			<staticText>
				<reportElement x="227" y="11" width="170" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[instansi]]></text>
			</staticText>
			<line>
				<reportElement x="413" y="2" width="1" height="59"/>
			</line>
			<line>
				<reportElement x="197" y="2" width="1" height="59"/>
			</line>
			<staticText>
				<reportElement x="417" y="11" width="135" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[Tanda Tangan]]></text>
			</staticText>
			<line>
				<reportElement x="51" y="2" width="1" height="59"/>
			</line>
			<staticText>
				<reportElement x="11" y="11" width="32" height="20"/>
				<textElement textAlignment="Center">
					<font size="14" isBold="true"/>
				</textElement>
				<text><![CDATA[No.]]></text>
			</staticText>
		</band>
	</columnHeader>
	<detail>
		<band height="61" splitType="Stretch">
			<line>
				<reportElement x="555" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1" height="60"/>
			</line>
			<textField>
				<reportElement x="65" y="6" width="117" height="42"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{name}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="227" y="6" width="170" height="42"/>
				<textElement/>
				<textFieldExpression><![CDATA[$F{instansi}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="1" y="60" width="554" height="1"/>
			</line>
			<line>
				<reportElement x="413" y="0" width="1" height="61"/>
			</line>
			<line>
				<reportElement x="197" y="0" width="1" height="60"/>
			</line>
			<line>
				<reportElement x="51" y="0" width="1" height="60"/>
			</line>
			<textField>
				<reportElement x="11" y="6" width="32" height="20"/>
				<textElement/>
				<textFieldExpression><![CDATA[$V{REPORT_COUNT}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="45" splitType="Stretch"/>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
